/**
 * Copyright (c) 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin;

import org.ow2.petals.admin.api.ArtifactAdministration;
import org.ow2.petals.admin.api.ContainerAdministration;
import org.ow2.petals.admin.api.EndpointDirectoryAdministration;
import org.ow2.petals.admin.api.PetalsAdministration;
import org.ow2.petals.admin.api.PetalsAdministrationFactory;
import org.ow2.petals.admin.api.artifact.lifecycle.ArtifactLifecycleFactory;
import org.ow2.petals.admin.api.conf.PetalsAdminConfiguration;
import org.ow2.petals.admin.junit.PetalsAdministrationApi;
import org.ow2.petals.admin.junit.utils.SystemInfoUtils;

/**
 * 
 * @deprecated Prefer to use {@link PetalsAdministrationApi}
 *
 */
@Deprecated
public class PetalsAdministrationFactoryMock extends PetalsAdministrationFactory implements PetalsAdministration {

    public PetalsAdministrationFactoryMock() {
        // NOP
    }

    @Override
    public ArtifactAdministration newArtifactAdministration() {
        return new ArtifactAdministrationMock(this.newArtifactLifecycleFactory());
    }

    @Override
    public ContainerAdministration newContainerAdministration() {
        return new ContainerAdministrationMock(SystemInfoUtils.SYSTEM_INFO_EXAMPLE);
    }

    @Override
    public EndpointDirectoryAdministration newEndpointDirectoryAdministration() {
        return new EndpointDirectoryAdministrationMock();
    }

    @Override
    public ArtifactLifecycleFactory newArtifactLifecycleFactory() {
        return new ArtifactLifecycleFactoryMock();
    }

    @Override
    public PetalsAdministration newPetalsAdministrationAPI() {
        return this;
    }

    @Override
    public PetalsAdministration newPetalsAdministrationAPI(PetalsAdminConfiguration config) {
        return this;
    }

}
