/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin;

import java.net.URL;

import org.ow2.petals.admin.api.artifact.SharedLibrary;
import org.ow2.petals.admin.api.artifact.lifecycle.SharedLibraryLifecycle;
import org.ow2.petals.admin.api.exception.ArtifactAdministrationException;
import org.ow2.petals.admin.junit.PetalsAdministrationApi;

/**
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 * @deprecated Prefer to use {@link org.ow2.petals.admin.junit.SharedLibraryLifecycleMock} through
 *             {@link PetalsAdministrationApi}
 */
@Deprecated
public class SharedLibraryLifecycleMock implements SharedLibraryLifecycle {

    private final SharedLibrary sl;

    public SharedLibraryLifecycleMock(final SharedLibrary sl) {
        this.sl = sl;
    }

    @Override
    public void deploy(URL artifactUrl) throws ArtifactAdministrationException {
        ArtifactDirectoryMock.getInstance().add(getSharedLibrary());
    }

    @Override
    public void start() throws ArtifactAdministrationException {
    }

    @Override
    public void stop() throws ArtifactAdministrationException {
    }

    @Override
    public void undeploy() throws ArtifactAdministrationException {
        ArtifactDirectoryMock.getInstance().remove(getSharedLibrary());
    }

    @Override
    public void updateState() throws ArtifactAdministrationException {
    }

    @Override
    public SharedLibrary getSharedLibrary() {
        return this.sl;
    }

}
